# log4cplus::helpers::SharedObjectPtr< T > Class Template Reference

`#include <pointer.h>`

Inheritance diagram for log4cplus::helpers::SharedObjectPtr< T >:

[legend]
List of all members.

## Public Member Functions

| SharedObjectPtr (T *realPtr=0)
| SharedObjectPtr (const SharedObjectPtr &rhs)
| ~SharedObjectPtr ()
bool | operator== (const SharedObjectPtr &rhs) const
bool | operator!= (const SharedObjectPtr &rhs) const
bool | operator== (const T *rhs) const
bool | operator!= (const T *rhs) const
T * | operator-> () const
T & | operator * () const
SharedObjectPtr & | operator= (const SharedObjectPtr &rhs)
SharedObjectPtr & | operator= (T *rhs)
T * | get () const

### template<class T>
class log4cplus::helpers::SharedObjectPtr< T >

## Constructor & Destructor Documentation

template<class T>
log4cplus::helpers::SharedObjectPtr< T >::SharedObjectPtr | ( | T * | realPtr = 0 | ) | `[inline]`

| Definition at line 122 of file pointer.h.

template<class T>
log4cplus::helpers::SharedObjectPtr< T >::SharedObjectPtr | ( | const SharedObjectPtr< T > & | rhs | ) | `[inline]`

| Definition at line 123 of file pointer.h.

template<class T>
log4cplus::helpers::SharedObjectPtr< T >::~SharedObjectPtr | ( |  | ) | `[inline]`

| Definition at line 126 of file pointer.h.

## Member Function Documentation

template<class T>
T* log4cplus::helpers::SharedObjectPtr< T >::get | ( |  | ) | const`[inline]`

| Definition at line 155 of file pointer.h.

template<class T>
T& log4cplus::helpers::SharedObjectPtr< T >::operator * | ( |  | ) | const`[inline]`

| Definition at line 134 of file pointer.h.

template<class T>
bool log4cplus::helpers::SharedObjectPtr< T >::operator!= | ( | const T * | rhs | ) | const`[inline]`

| Definition at line 132 of file pointer.h.

template<class T>
bool log4cplus::helpers::SharedObjectPtr< T >::operator!= | ( | const SharedObjectPtr< T > & | rhs | ) | const`[inline]`

| Definition at line 130 of file pointer.h.

template<class T>
T* log4cplus::helpers::SharedObjectPtr< T >::operator-> | ( |  | ) | const`[inline]`

| Definition at line 133 of file pointer.h.

template<class T>
SharedObjectPtr& log4cplus::helpers::SharedObjectPtr< T >::operator= | ( | T * | rhs | ) | `[inline]`

| Definition at line 144 of file pointer.h.

template<class T>
SharedObjectPtr& log4cplus::helpers::SharedObjectPtr< T >::operator= | ( | const SharedObjectPtr< T > & | rhs | ) | `[inline]`

| Definition at line 135 of file pointer.h.

template<class T>
bool log4cplus::helpers::SharedObjectPtr< T >::operator== | ( | const T * | rhs | ) | const`[inline]`

| Definition at line 131 of file pointer.h.

template<class T>
bool log4cplus::helpers::SharedObjectPtr< T >::operator== | ( | const SharedObjectPtr< T > & | rhs | ) | const`[inline]`

| Definition at line 129 of file pointer.h.

The documentation for this class was generated from the following file:

- pointer.h